Indexes
Create an index
Requires `X-Athena-Client` and a client-bound API key with `management.indexes.write`.
Header Parameters
X-Athena-Client*string
apikey*string
Request Body
application/json
schema_name?string
Default
"public"table_name*string
index_name?|
columns*array<>
unique?boolean
Default
falsemethod?string
Default
"btree"Response Body
curl -X POST "https://athena-cluster.com/management/indexes" \ -H "X-Athena-Client: string" \ -H "apikey: string" \ -H "Content-Type: application/json" \ -d '{ "table_name": "string", "columns": [ "string" ] }'Empty
Empty
Empty
Empty
Empty
Empty
Empty
Create or replace a Postgres function from DDL PUT
Runs validated `CREATE OR REPLACE FUNCTION` DDL inside a transaction with audit tables. Requires `management.functions.write` Audit rows require `public.database_audit_log` and `public.function_ddl_audit_log` on the gateway logging Postgres database.
Drop an index DELETE
Requires `X-Athena-Client` and a client-bound API key with `management.indexes.drop`.